import { Measure, MeasureConfig, Measurement, MeasurementMeta } from '@/models';
import moment from 'moment';

export function byTimestampComparator<T extends MeasurementMeta>(
  a: Measurement<T>,
  b: Measurement<T>): number {
  return a.timestamp.getTime() - b.timestamp.getTime();
}

export function formatTS(
  m: Measure<MeasureConfig>,
  mm: Measurement<MeasurementMeta>
): string {
  return moment(mm.timestamp).format(
    m.config.timestampDisplayFormat || 'MMM Do');
}

export function slugify(s: string): string {
  return s
    .toLowerCase()
    .replace(/[^\w\s\-]/g, '')
    .replace(/\s+/g, '-');
}


